Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.junit
Class PlainJUnitResultFormatter

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter

All Implemented Interfaces:
  JUnitResultFormatter, junit.framework.TestListener

public class PlainJUnitResultFormatter
extends java.lang.Object
implements JUnitResultFormatter

Prints plain text output of the test to a specified Writer.

Constructor Summary
`PlainJUnitResultFormatter()`

Method Summary
`void` | `addError(junit.framework.Test test, java.lang.Throwable t)` Interface TestListener.
`void` | `addFailure(junit.framework.Test test, junit.framework.AssertionFailedError t)` Interface TestListener for JUnit > 3.4.
`void` | `addFailure(junit.framework.Test test, java.lang.Throwable t)` Interface TestListener for JUnit <= 3.4.
`void` | `endTest(junit.framework.Test test)` Interface TestListener.
`void` | `endTestSuite(JUnitTest suite)` The whole testsuite ended.
`void` | `setOutput(java.io.OutputStream out)` Sets the stream the formatter is supposed to write its results to.
`void` | `setSystemError(java.lang.String err)` This is what the test has written to System.err
`void` | `setSystemOutput(java.lang.String out)` This is what the test has written to System.out
`void` | `startTest(junit.framework.Test t)` Interface TestListener.
`void` | `startTestSuite(JUnitTest suite)` Empty.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlainJUnitResultFormatter

    public PlainJUnitResultFormatter()

Method Detail

### setOutput

    public void setOutput(java.io.OutputStream out)

  Description copied from interface: `JUnitResultFormatter`
  Sets the stream the formatter is supposed to write its results to.

  Specified by:
    `setOutput` in interface `JUnitResultFormatter`

### setSystemOutput

    public void setSystemOutput(java.lang.String out)

  Description copied from interface: `JUnitResultFormatter`
  This is what the test has written to System.out

  Specified by:
    `setSystemOutput` in interface `JUnitResultFormatter`

### setSystemError

    public void setSystemError(java.lang.String err)

  Description copied from interface: `JUnitResultFormatter`
  This is what the test has written to System.err

  Specified by:
    `setSystemError` in interface `JUnitResultFormatter`

### startTestSuite

    public void startTestSuite(JUnitTest suite)

  Empty.

  Specified by:
    `startTestSuite` in interface `JUnitResultFormatter`

### endTestSuite

    public void endTestSuite(JUnitTest suite)
                      throws BuildException

  The whole testsuite ended.

  Specified by:
    `endTestSuite` in interface `JUnitResultFormatter`
    `BuildException`

### startTest

    public void startTest(junit.framework.Test t)

  Interface TestListener.

  A new Test is started.

  Specified by:
    `startTest` in interface `junit.framework.TestListener`

### endTest

    public void endTest(junit.framework.Test test)

  Interface TestListener.

  A Test is finished.

  Specified by:
    `endTest` in interface `junit.framework.TestListener`

### addFailure

    public void addFailure(junit.framework.Test test,
                           java.lang.Throwable t)

  Interface TestListener for JUnit <= 3.4.

  A Test failed.

### addFailure

    public void addFailure(junit.framework.Test test,
                           junit.framework.AssertionFailedError t)

  Interface TestListener for JUnit > 3.4.

  A Test failed.

  Specified by:
    `addFailure` in interface `junit.framework.TestListener`

### addError

    public void addError(junit.framework.Test test,
                         java.lang.Throwable t)

  Interface TestListener.

  An error occurred while running the test.

  Specified by:
    `addError` in interface `junit.framework.TestListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.